aboutsummaryrefslogtreecommitdiff
path: root/git-fetch.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-11-25 01:04:54 -0800
committerJunio C Hamano <junkio@cox.net>2006-11-25 01:07:15 -0800
commitcadd8a7d4dad0a29a9b38b33979e7137adaf62cf (patch)
tree2ed79a3d315629a6abd41ba103b846351dc1a0ac /git-fetch.sh
parent5677882be721be5e2706a546d90804da8d8d0bd5 (diff)
parentf64d7fd267c501f501e18a888e3e1e0c5b56458f (diff)
downloadgit-cadd8a7d4dad0a29a9b38b33979e7137adaf62cf.tar.gz
git-cadd8a7d4dad0a29a9b38b33979e7137adaf62cf.tar.xz
Merge branch 'master' into jc/globfetch
This is to pick up the fix made on master: git-fetch: exit with non-zero status when fast-forward check fails
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index 06b66b968..4eecf148e 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -360,7 +360,7 @@ fetch_main () {
esac
append_fetch_head "$head" "$remote" \
- "$remote_name" "$remote_nick" "$local_name" "$not_for_merge"
+ "$remote_name" "$remote_nick" "$local_name" "$not_for_merge" || exit
done
@@ -414,15 +414,16 @@ fetch_main () {
done
local_name=$(expr "z$found" : 'z[^:]*:\(.*\)')
append_fetch_head "$sha1" "$remote" \
- "$remote_name" "$remote_nick" "$local_name" "$not_for_merge"
- done
+ "$remote_name" "$remote_nick" "$local_name" \
+ "$not_for_merge" || exit
+ done &&
if [ "$pack_lockfile" ]; then rm -f "$pack_lockfile"; fi
) || exit ;;
esac
}
-fetch_main "$reflist"
+fetch_main "$reflist" || exit
# automated tag following
case "$no_tags$tags" in
@@ -450,7 +451,7 @@ case "$no_tags$tags" in
case "$taglist" in
'') ;;
?*)
- fetch_main "$taglist" ;;
+ fetch_main "$taglist" || exit ;;
esac
esac